org.keycloak.policy

## Class DefaultPasswordPolicyManagerProviderFactory

- java.lang.Object
- - org.keycloak.policy.DefaultPasswordPolicyManagerProviderFactory

- All Implemented Interfaces:
    PasswordPolicyManagerProviderFactory, ProviderFactory<PasswordPolicyManagerProvider>

      public class DefaultPasswordPolicyManagerProviderFactory
      extends Object
      implements PasswordPolicyManagerProviderFactory

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultPasswordPolicyManagerProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `PasswordPolicyManagerProvider` | `create(KeycloakSession session)`
    `String` | `getId()`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Constructor Detail

    - #### DefaultPasswordPolicyManagerProviderFactory

          public DefaultPasswordPolicyManagerProviderFactory()

  - ### Method Detail

    - #### create

          public PasswordPolicyManagerProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<PasswordPolicyManagerProvider>`

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<PasswordPolicyManagerProvider>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<PasswordPolicyManagerProvider>`

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `ProviderFactory<PasswordPolicyManagerProvider>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<PasswordPolicyManagerProvider>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.